GNU logs - #12050, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: joseph@HIDDEN
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Jul 2012 01:17:01 +0000
Resent-Message-ID: <handler.12050.B.134326539812987 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 12050 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.134326539812987
          (code B ref -1); Thu, 26 Jul 2012 01:17:01 +0000
Received: (at submit) by debbugs.gnu.org; 26 Jul 2012 01:16:38 +0000
Received: from localhost ([127.0.0.1]:39942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SuCgv-0003NO-Mv
	for submit <at> debbugs.gnu.org; Wed, 25 Jul 2012 21:16:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59978)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <joseph@HIDDEN>) id 1Stumq-0000vw-Vd
	for submit <at> debbugs.gnu.org; Wed, 25 Jul 2012 02:09:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <joseph@HIDDEN>) id 1StugK-0004ht-82
	for submit <at> debbugs.gnu.org; Wed, 25 Jul 2012 02:02:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FSL_RCVD_USER,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57325)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <joseph@HIDDEN>) id 1StugK-0004hp-4R
	for submit <at> debbugs.gnu.org; Wed, 25 Jul 2012 02:02:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44565)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <joseph@HIDDEN>) id 1StugI-0005SO-Ic
	for bug-gnu-emacs@HIDDEN; Wed, 25 Jul 2012 02:02:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <joseph@HIDDEN>) id 1StugG-0004hD-I1
	for bug-gnu-emacs@HIDDEN; Wed, 25 Jul 2012 02:02:46 -0400
Received: from server208.nhsdns.com ([64.22.111.162]:44124)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <joseph@HIDDEN>) id 1StugG-0004h1-Cb
	for bug-gnu-emacs@HIDDEN; Wed, 25 Jul 2012 02:02:44 -0400
Received: from localhost ([127.0.0.1]:49788 helo=server208.nhsdns.com)
	by server208.nhsdns.com with esmtpa (Exim 4.77)
	(envelope-from <joseph@HIDDEN>) id 1StugD-00033U-2a
	for bug-gnu-emacs@HIDDEN; Wed, 25 Jul 2012 02:02:41 -0400
Received: from 173.76.125.145 ([173.76.125.145])
	(SquirrelMail authenticated user joseph@HIDDEN)
	by server208.nhsdns.com with HTTP; Wed, 25 Jul 2012 02:02:41 -0400
Message-ID: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
Date: Wed, 25 Jul 2012 02:02:41 -0400
From: joseph@HIDDEN
User-Agent: SquirrelMail/1.4.22
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - server208.nhsdns.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - photosessionsltd.com
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Mailman-Approved-At: Wed, 25 Jul 2012 21:16:36 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

From: joseph patterson <joseph@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.3; font trashes mode-line file name
--text follows this line--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your report will be posted to the bug-gnu-emacs@HIDDEN mailing list
and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

emacs -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15 anyfile

The mode-line display of the file name is trashed. It consists of a
sequence of small narrow empty rectangles. The mode and line number are
legible and not trashed.
This problem did not happen in version 22 of emacs. This font is used
satisfactorily in the mode-line in version 22 of emacs.

If I do an esc-x-list-buffers, then the list of buffers has the
file names trashed similar to the file name in the mode-line.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/23.3/etc/DEBUG.


In GNU Emacs 23.3.1 (i686-pc-linux-gnu, GTK+ Version 2.24.5)
 of 2011-08-14 on rothera, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--build' 'i686-linux-gnu' '--build'
'i686-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var/lib'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.3/leim'
'--with-crt-dir=/usr/lib/i386-linux-gnu' '--with-x=yes'
'--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
'build_alias=i686-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g'
'CPPFLAGS=''

Important settings:
  value of $LC_ALL: C
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f r e a d m e <return> C-x C-f <return> C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-p <return> C-x C-f <return> C-n <return> C-x
C-f <return> C-n <return> C-x C-f <return> C-x C-f
<return> C-x C-f C-h C-h C-b C-b C-b C-b C-b C-k <return>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-l C-p C-p C-p
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
C-p C-p C-p C-p C-n C-n C-n C-n C-n C-p <return> C-x
C-b C-x o C-n d d d d d d d d d x C-x o <escape> x
r e p o r e <backspace> t <tab> <return>

Recent messages:
byte-code: Text is read-only

Load-path shadows:
/usr/share/emacs/23.3/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs23/site-lisp/flim/sha1 hides /usr/share/emacs/23.3/lisp/sha1
/usr/share/emacs23/site-lisp/flim/md4 hides /usr/share/emacs/23.3/lisp/md4
/usr/share/emacs23/site-lisp/flim/hex-util hides
/usr/share/emacs/23.3/lisp/hex-util
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides
/usr/share/emacs/23.3/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides
/usr/share/emacs/23.3/lisp/textmodes/flyspell
/usr/share/emacs23/site-lisp/flim/sasl-ntlm hides
/usr/share/emacs/23.3/lisp/net/sasl-ntlm
/usr/share/emacs23/site-lisp/flim/ntlm hides
/usr/share/emacs/23.3/lisp/net/ntlm
/usr/share/emacs23/site-lisp/flim/sasl-cram hides
/usr/share/emacs/23.3/lisp/net/sasl-cram
/usr/share/emacs23/site-lisp/flim/hmac-md5 hides
/usr/share/emacs/23.3/lisp/net/hmac-md5
/usr/share/emacs23/site-lisp/flim/hmac-def hides
/usr/share/emacs/23.3/lisp/net/hmac-def
/usr/share/emacs23/site-lisp/flim/sasl hides
/usr/share/emacs/23.3/lisp/net/sasl
/usr/share/emacs23/site-lisp/flim/sasl-digest hides
/usr/share/emacs/23.3/lisp/net/sasl-digest

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
sha1-el hex-util hashcash mail-utils emacsbug help-mode easymenu view
dired regexp-opt debian-el debian-el-loaddefs dpkg-dev-el
dpkg-dev-el-loaddefs devhelp tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd font-setting tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)






Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: joseph@HIDDEN
Subject: bug#12050: Acknowledgement (23.3; font trashes mode-line file name)
Message-ID: <handler.12050.B.134326539812987.ack <at> debbugs.gnu.org>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
X-Gnu-PR-Message: ack 12050
X-Gnu-PR-Package: emacs
Reply-To: 12050 <at> debbugs.gnu.org
Date: Thu, 26 Jul 2012 01:17:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 12050 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
12050: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D12050
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Jul 2012 03:11:02 +0000
Resent-Message-ID: <handler.12050.B12050.134327222422833 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: joseph@HIDDEN
Cc: 12050 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.134327222422833
          (code B ref 12050); Thu, 26 Jul 2012 03:11:02 +0000
Received: (at 12050) by debbugs.gnu.org; 26 Jul 2012 03:10:24 +0000
Received: from localhost ([127.0.0.1]:40022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SuET1-0005wD-BP
	for submit <at> debbugs.gnu.org; Wed, 25 Jul 2012 23:10:23 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:55790)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SuESu-0005vx-Km
	for 12050 <at> debbugs.gnu.org; Wed, 25 Jul 2012 23:10:17 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M7Q00400YT0Y100@HIDDEN> for
	12050 <at> debbugs.gnu.org; Thu, 26 Jul 2012 06:03:26 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M7Q004XJZ5QSX60@HIDDEN>;
	Thu, 26 Jul 2012 06:03:26 +0300 (IDT)
Date: Thu, 26 Jul 2012 06:03:29 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <831ujzkyv2.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Wed, 25 Jul 2012 02:02:41 -0400
> From: joseph@HIDDEN
> 
> emacs -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15 anyfile
> 
> The mode-line display of the file name is trashed. It consists of a
> sequence of small narrow empty rectangles. The mode and line number are
> legible and not trashed.
> This problem did not happen in version 22 of emacs. This font is used
> satisfactorily in the mode-line in version 22 of emacs.

Can you please try this in Emacs 24.1, the current version?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 28 Jul 2012 19:55:02 +0000
Resent-Message-ID: <handler.12050.B12050.134350528713222 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: joseph@HIDDEN
Cc: 12050 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.134350528713222
          (code B ref 12050); Sat, 28 Jul 2012 19:55:02 +0000
Received: (at 12050) by debbugs.gnu.org; 28 Jul 2012 19:54:47 +0000
Received: from localhost ([127.0.0.1]:47175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SvD67-0003RC-Aw
	for submit <at> debbugs.gnu.org; Sat, 28 Jul 2012 15:54:47 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:35591)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SvD65-0003R5-LL
	for 12050 <at> debbugs.gnu.org; Sat, 28 Jul 2012 15:54:47 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M7V00600YWLGT00@HIDDEN> for
	12050 <at> debbugs.gnu.org; Sat, 28 Jul 2012 22:46:57 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M7V0063IYY83Z90@HIDDEN>;
	Sat, 28 Jul 2012 22:46:57 +0300 (IDT)
Date: Sat, 28 Jul 2012 22:47:06 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83mx2jhdmt.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Thu, 26 Jul 2012 08:28:05 -0400
> From: joseph@HIDDEN
> 
> I built emacs-24.1 in a local directory and tried it with the same command
> line. I find emacs-23.3 is decidedly more friendly than emacs-24.1. 23.3
> merely trashes the filename in the mode-line. 24.1 gives
> Fatal error (11) Segmentation fault.
> 
> I can invoke emacs-24.1 with some alternative not default font and it does
> come up ok and display file names in the mode line. The following line
> with a helvetica font displays ok in emacs23.3 (i.e., mode-line fine). The
> following line gives Fatal error (11) Segmentation fault with emacs-24.1.
> 
> emacs -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15 anyfile

I think this problem was already fixed in the development sources.
But before I send you the change that fixed it, could you please run
Emacs under a debugger and see in what source line does it crash?  I'd
like to verify that what you see is the same problem as the one that
was fixed.

Thanks.

P.S. Please keep the bug address on the CC line, so that this
discussion is archived on the bug tracker.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: joseph@HIDDEN
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Jul 2012 11:52:02 +0000
Resent-Message-ID: <handler.12050.B12050.13435626904384 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: "Eli Zaretskii" <eliz@HIDDEN>
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.13435626904384
          (code B ref 12050); Sun, 29 Jul 2012 11:52:02 +0000
Received: (at 12050) by debbugs.gnu.org; 29 Jul 2012 11:51:30 +0000
Received: from localhost ([127.0.0.1]:47804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SvS1x-00018f-S3
	for submit <at> debbugs.gnu.org; Sun, 29 Jul 2012 07:51:30 -0400
Received: from server208.nhsdns.com ([64.22.111.162]:49466)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <joseph@HIDDEN>) id 1SvS1v-00018X-KU
	for 12050 <at> debbugs.gnu.org; Sun, 29 Jul 2012 07:51:28 -0400
Received: from localhost ([127.0.0.1]:40602 helo=server208.nhsdns.com)
	by server208.nhsdns.com with esmtpa (Exim 4.77)
	(envelope-from <joseph@HIDDEN>)
	id 1SvRuy-0003Yj-9q; Sun, 29 Jul 2012 07:44:16 -0400
Received: from 173.76.125.145 ([173.76.125.145])
	(SquirrelMail authenticated user joseph@HIDDEN)
	by server208.nhsdns.com with HTTP; Sun, 29 Jul 2012 07:44:16 -0400
Message-ID: <af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
In-Reply-To: <83mx2jhdmt.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
	<83mx2jhdmt.fsf@HIDDEN>
Date: Sun, 29 Jul 2012 07:44:16 -0400
From: joseph@HIDDEN
User-Agent: SquirrelMail/1.4.22
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - server208.nhsdns.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - photosessionsltd.com
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

with the gdb command
run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
the crash occurs at xterm.c:1216
1216   else if (FONT_HEIGHT (s->font) < s->height - 2 * box_line_width

with the gdb command
run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
the crash occurs at xfaces.c:4841
4841   if (! EQ (face->font->props[i], def_face->font->props[i]))

recall that the times line crashes in 23.3 and 24.1 and the helvetica line
works fine in 23.3 and crashes in 24.1.


>> Date: Thu, 26 Jul 2012 08:28:05 -0400
>> From: joseph@HIDDEN
>>
>> I built emacs-24.1 in a local directory and tried it with the same
>> command
>> line. I find emacs-23.3 is decidedly more friendly than emacs-24.1. 23.3
>> merely trashes the filename in the mode-line. 24.1 gives
>> Fatal error (11) Segmentation fault.
>>
>> I can invoke emacs-24.1 with some alternative not default font and it
>> does
>> come up ok and display file names in the mode line. The following line
>> with a helvetica font displays ok in emacs23.3 (i.e., mode-line fine).
>> The
>> following line gives Fatal error (11) Segmentation fault with
>> emacs-24.1.
>>
>> emacs -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
>> anyfile
>
> I think this problem was already fixed in the development sources.
> But before I send you the change that fixed it, could you please run
> Emacs under a debugger and see in what source line does it crash?  I'd
> like to verify that what you see is the same problem as the one that
> was fixed.
>
> Thanks.
>
> P.S. Please keep the bug address on the CC line, so that this
> discussion is archived on the bug tracker.
>






Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Jul 2012 17:35:01 +0000
Resent-Message-ID: <handler.12050.B12050.13435832552114 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: joseph@HIDDEN
Cc: 12050 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.13435832552114
          (code B ref 12050); Sun, 29 Jul 2012 17:35:01 +0000
Received: (at 12050) by debbugs.gnu.org; 29 Jul 2012 17:34:15 +0000
Received: from localhost ([127.0.0.1]:48997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SvXNe-0000Y3-QP
	for submit <at> debbugs.gnu.org; Sun, 29 Jul 2012 13:34:15 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:39011)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SvXNc-0000Xv-88
	for 12050 <at> debbugs.gnu.org; Sun, 29 Jul 2012 13:34:13 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M7X00C00N0N2T00@HIDDEN> for
	12050 <at> debbugs.gnu.org; Sun, 29 Jul 2012 20:25:23 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M7X00BH3N2AV460@HIDDEN>;
	Sun, 29 Jul 2012 20:25:23 +0300 (IDT)
Date: Sun, 29 Jul 2012 20:25:34 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83ehnuh435.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
	<83mx2jhdmt.fsf@HIDDEN>
	<af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Sun, 29 Jul 2012 07:44:16 -0400
> From: joseph@HIDDEN
> 
> with the gdb command
> run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
> the crash occurs at xterm.c:1216
> 1216   else if (FONT_HEIGHT (s->font) < s->height - 2 * box_line_width

This is fixed in the development sources, patch below.

> with the gdb command
> run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
> the crash occurs at xfaces.c:4841
> 4841   if (! EQ (face->font->props[i], def_face->font->props[i]))

Why does this crash? is def_face->font a NULL pointer or something?

> recall that the times line crashes in 23.3 and 24.1 and the helvetica line
> works fine in 23.3 and crashes in 24.1.

Note that both fonts are bold.  If you use the non-bold variant of the
same font, does the problem go away?

--- src/xdisp.c	2012-07-07 21:39:45 +0000
+++ src/xdisp.c	2012-07-08 15:49:39 +0000
@@ -22736,7 +22736,7 @@ fill_glyphless_glyph_string (struct glyp
   last = s->row->glyphs[s->area] + end;
   voffset = glyph->voffset;
   s->face = FACE_FROM_ID (s->f, face_id);
-  s->font = s->face->font;
+  s->font = s->face->font ? s->face->font : FRAME_FONT (s->f);
   s->nchars = 1;
   s->width = glyph->pixel_width;
   glyph++;





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: joseph@HIDDEN
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Jul 2012 08:28:01 +0000
Resent-Message-ID: <handler.12050.B12050.134363684931131 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: "Eli Zaretskii" <eliz@HIDDEN>
Cc: 12050 <at> debbugs.gnu.org
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.134363684931131
          (code B ref 12050); Mon, 30 Jul 2012 08:28:01 +0000
Received: (at 12050) by debbugs.gnu.org; 30 Jul 2012 08:27:29 +0000
Received: from localhost ([127.0.0.1]:49875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SvlK5-000864-Cz
	for submit <at> debbugs.gnu.org; Mon, 30 Jul 2012 04:27:29 -0400
Received: from server208.nhsdns.com ([64.22.111.162]:33704)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <joseph@HIDDEN>) id 1SvlK3-00085w-4z
	for 12050 <at> debbugs.gnu.org; Mon, 30 Jul 2012 04:27:28 -0400
Received: from localhost ([127.0.0.1]:39712 helo=server208.nhsdns.com)
	by server208.nhsdns.com with esmtpa (Exim 4.77)
	(envelope-from <joseph@HIDDEN>)
	id 1SvlD1-0004b9-QS; Mon, 30 Jul 2012 04:20:11 -0400
Received: from 173.76.125.145 ([173.76.125.145])
	(SquirrelMail authenticated user joseph@HIDDEN)
	by server208.nhsdns.com with HTTP; Mon, 30 Jul 2012 04:20:11 -0400
Message-ID: <9c7c5885dde95b641a727c4fc6709083.squirrel@HIDDEN>
In-Reply-To: <83ehnuh435.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
	<83mx2jhdmt.fsf@HIDDEN>
	<af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
	<83ehnuh435.fsf@HIDDEN>
Date: Mon, 30 Jul 2012 04:20:11 -0400
From: joseph@HIDDEN
User-Agent: SquirrelMail/1.4.22
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - server208.nhsdns.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - photosessionsltd.com
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

with src/xdisp.c 22736 fix (24.1 line numbers differ by ~300 but context
is correct):

run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
does not crash emacs but mode-line is completely undecipherable. each char
appears to have an octal representation of a char inside a rectangular box

run -q -fn -adobe-times-medium-r-normal--0-0-0-0-p-0-iso8859-15
crash at
xfaces.c:4841
4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
(gdb) print def_face->font
$2 = (struct font *) 0x0

run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
crash at
xfaces.c:4841
4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
(gdb) print def_face->font
$2 = (struct font *) 0x0

run -q -fn -adobe-helvetica-medium-r-normal--0-0-0-0-p-0-iso8859-15
crash at
xfaces.c:4841
4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
(gdb) print def_face->font
$2 = (struct font *) 0x0


>> Date: Sun, 29 Jul 2012 07:44:16 -0400
>> From: joseph@HIDDEN
>>
>> with the gdb command
>> run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
>> the crash occurs at xterm.c:1216
>> 1216   else if (FONT_HEIGHT (s->font) < s->height - 2 * box_line_width
>
> This is fixed in the development sources, patch below.
>
>> with the gdb command
>> run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
>> the crash occurs at xfaces.c:4841
>> 4841   if (! EQ (face->font->props[i], def_face->font->props[i]))
>
> Why does this crash? is def_face->font a NULL pointer or something?
>
>> recall that the times line crashes in 23.3 and 24.1 and the helvetica
>> line
>> works fine in 23.3 and crashes in 24.1.
>
> Note that both fonts are bold.  If you use the non-bold variant of the
> same font, does the problem go away?
>
> --- src/xdisp.c	2012-07-07 21:39:45 +0000
> +++ src/xdisp.c	2012-07-08 15:49:39 +0000
> @@ -22736,7 +22736,7 @@ fill_glyphless_glyph_string (struct glyp
>    last = s->row->glyphs[s->area] + end;
>    voffset = glyph->voffset;
>    s->face = FACE_FROM_ID (s->f, face_id);
> -  s->font = s->face->font;
> +  s->font = s->face->font ? s->face->font : FRAME_FONT (s->f);
>    s->nchars = 1;
>    s->width = glyph->pixel_width;
>    glyph++;
>
>






Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Jul 2012 13:59:02 +0000
Resent-Message-ID: <handler.12050.B12050.13436567395370 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: joseph@HIDDEN
Cc: 12050 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.13436567395370
          (code B ref 12050); Mon, 30 Jul 2012 13:59:02 +0000
Received: (at 12050) by debbugs.gnu.org; 30 Jul 2012 13:58:59 +0000
Received: from localhost ([127.0.0.1]:50921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SvqUs-0001OZ-Si
	for submit <at> debbugs.gnu.org; Mon, 30 Jul 2012 09:58:59 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:40444)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SvqUp-0001OR-S1
	for 12050 <at> debbugs.gnu.org; Mon, 30 Jul 2012 09:58:56 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M7Z002007R7K600@HIDDEN> for
	12050 <at> debbugs.gnu.org; Mon, 30 Jul 2012 16:51:40 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M7Z002CT7U3LZ00@HIDDEN>;
	Mon, 30 Jul 2012 16:51:39 +0300 (IDT)
Date: Mon, 30 Jul 2012 16:51:53 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <9c7c5885dde95b641a727c4fc6709083.squirrel@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83pq7dfjba.fsf@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
	<83mx2jhdmt.fsf@HIDDEN>
	<af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
	<83ehnuh435.fsf@HIDDEN>
	<9c7c5885dde95b641a727c4fc6709083.squirrel@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Mon, 30 Jul 2012 04:20:11 -0400
> From: joseph@HIDDEN
> Cc: 12050 <at> debbugs.gnu.org
> 
> with src/xdisp.c 22736 fix (24.1 line numbers differ by ~300 but context
> is correct):
> 
> run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
> does not crash emacs but mode-line is completely undecipherable. each char
> appears to have an octal representation of a char inside a rectangular box
> 
> run -q -fn -adobe-times-medium-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0
> 
> run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0
> 
> run -q -fn -adobe-helvetica-medium-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0

Thanks.

Would some font selection expert please chime in?  There's some weird
stuff going on with selecting a font for the mode line, and in
particular the buffer name there.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12050: 23.3; font trashes mode-line file name
Resent-From: Chong Yidong <cyd@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 15 Aug 2012 10:17:01 +0000
Resent-Message-ID: <handler.12050.B12050.134502576122938 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12050
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: joseph@HIDDEN, 12050 <at> debbugs.gnu.org
Received: via spool by 12050-submit <at> debbugs.gnu.org id=B12050.134502576122938
          (code B ref 12050); Wed, 15 Aug 2012 10:17:01 +0000
Received: (at 12050) by debbugs.gnu.org; 15 Aug 2012 10:16:01 +0000
Received: from localhost ([127.0.0.1]:57865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T1adt-0005xr-4H
	for submit <at> debbugs.gnu.org; Wed, 15 Aug 2012 06:16:01 -0400
Received: from mail-gg0-f172.google.com ([209.85.161.172]:64105)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1T1adm-0005xe-Ds
	for 12050 <at> debbugs.gnu.org; Wed, 15 Aug 2012 06:15:57 -0400
Received: by ggnh4 with SMTP id h4so1795928ggn.3
	for <12050 <at> debbugs.gnu.org>; Wed, 15 Aug 2012 03:07:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=BglEWystlvJuZqPmUMMn2ORrohxCwb705ZGX3h1Fi6w=;
	b=P+tq7vsHOhqXpJ+9hElRdUEC8H1TexMW3PzaaOTHT9xtPffBljH0dch9rUGtsbmv6i
	zT07SCd12HsVgMhOLjoA6j59GSzS0Qj59GKsK9taCxQXmFo5ceEmnaqpS+2fFEPu/0Ea
	ohLL2eJpastdjbciAFoVv2SQWcNURuJniSpV0EDUMLvKGtoYNDu8nkQrEkf2GlIYAQUG
	K9ixUwqBDny+m1CUoJDKChQAJwW+nBtAY/W+WbTDsTdlXI1uBrlWJY8iWr7h6Jv8hm/N
	xOWuKMqYFi+v6/DR4M1YF7g3ExeQNPs2nYNyNe6OjqB3j/6Ii05BC2EpAYthaVfLjNZ8
	ntjw==
Received: by 10.50.179.3 with SMTP id dc3mr17751473igc.18.1345025229775;
	Wed, 15 Aug 2012 03:07:09 -0700 (PDT)
Received: from ulysses ([155.69.18.186])
	by mx.google.com with ESMTPS id ko9sm15396044igc.16.2012.08.15.03.07.06
	(version=SSLv3 cipher=OTHER); Wed, 15 Aug 2012 03:07:08 -0700 (PDT)
From: Chong Yidong <cyd@HIDDEN>
References: <2e244dfb827ebd8ba5e578bf011d1971.squirrel@HIDDEN>
	<831ujzkyv2.fsf@HIDDEN>
	<b308c0f0cce2ca6b473e648ea1e96129.squirrel@HIDDEN>
	<83mx2jhdmt.fsf@HIDDEN>
	<af22da94e2eb5e507cac730da4b1184d.squirrel@HIDDEN>
	<83ehnuh435.fsf@HIDDEN>
	<9c7c5885dde95b641a727c4fc6709083.squirrel@HIDDEN>
	<83pq7dfjba.fsf@HIDDEN>
Date: Wed, 15 Aug 2012 18:07:03 +0800
In-Reply-To: <83pq7dfjba.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 30 Jul
	2012 16:51:53 +0300")
Message-ID: <87pq6s4gfs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> run -q -fn -adobe-helvetica-medium-r-normal--0-0-0-0-p-0-iso8859-15
>> crash at
>> xfaces.c:4841
>> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
>> (gdb) print def_face->font
>> $2 = (struct font *) 0x0
>
> Thanks.
>
> Would some font selection expert please chime in?  There's some weird
> stuff going on with selecting a font for the mode line, and in
> particular the buffer name there.

I don't have Adobe Helvetica, so I can't debug this.  None of the fonts
available on my system seem to cause such problems.





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.